--------------------------------------------------------------
-- Real Calendar
-- Author: Infixo
-- 2020-06-13: Created
-- 2022-12-28: Other game speeds
-- 1500 GAMESPEED_MARATHON
--  750 GAMESPEED_EPIC
--  500 GAMESPEED_STANDARD
--  330 GAMESPEED_QUICK
--  250 GAMESPEED_ONLINE
--------------------------------------------------------------

-- GAMESPEED_MARATHON
DELETE FROM GameSpeed_Turns WHERE GameSpeedType = 'GAMESPEED_MARATHON';
INSERT INTO GameSpeed_Turns (GameSpeedType, MonthIncrement, TurnsPerIncrement) VALUES
('GAMESPEED_MARATHON', 240, 150), -- ANC => -1000
('GAMESPEED_MARATHON', 120, 150), -- CLA => 500
('GAMESPEED_MARATHON', 60, 170), -- MED => 1350
('GAMESPEED_MARATHON', 36, 125), -- REN => 1725
('GAMESPEED_MARATHON', 12, 165), -- IND => 1890
('GAMESPEED_MARATHON', 6, 110+100), -- MOD => 1945
--('GAMESPEED_MARATHON', 6, 100), -- ATO => 1995
('GAMESPEED_MARATHON', 3, 140+80+310); -- INF => 2030
--('GAMESPEED_MARATHON', 3, 80), -- FUT => 2050
--('GAMESPEED_MARATHON', 3, 310); -- Grand Total => 2127,5

-- GAMESPEED_EPIC
DELETE FROM GameSpeed_Turns WHERE GameSpeedType = 'GAMESPEED_EPIC';
INSERT INTO GameSpeed_Turns (GameSpeedType, MonthIncrement, TurnsPerIncrement) VALUES
('GAMESPEED_EPIC', 420, 86), -- ANC => -990
('GAMESPEED_EPIC', 240, 74), -- CLA => 490
('GAMESPEED_EPIC', 180, 58), -- MED => 1360
('GAMESPEED_EPIC', 60, 73), -- REN => 1725
('GAMESPEED_EPIC', 36, 55), -- IND => 1890
('GAMESPEED_EPIC', 12, 55+50), -- MOD => 1945
--('GAMESPEED_EPIC', 12, 50), -- ATO => 1995
('GAMESPEED_EPIC', 6, 70+40+189); -- INF => 2030
--('GAMESPEED_EPIC', 6, 40), -- FUT => 2050
--('GAMESPEED_EPIC', 6, 189), --  => 2144,5

-- GAMESPEED_STANDARD
DELETE FROM GameSpeed_Turns WHERE GameSpeedType = 'GAMESPEED_STANDARD';
INSERT INTO GameSpeed_Turns (GameSpeedType, MonthIncrement, TurnsPerIncrement) VALUES
('GAMESPEED_STANDARD', 600, 60), -- ANC => -1000
('GAMESPEED_STANDARD', 420, 42), -- CLA => 470
('GAMESPEED_STANDARD', 240, 44), -- MED => 1350
('GAMESPEED_STANDARD', 120, 38), -- REN => 1730
('GAMESPEED_STANDARD', 36, 54), -- IND => 1892
('GAMESPEED_STANDARD', 12, 262);
--('GAMESPEED_STANDARD', 12, 53), -- MOD => 1945
--('GAMESPEED_STANDARD', 12, 50), -- ATO => 1995
--('GAMESPEED_STANDARD', 12, 35), -- INF => 2030
--('GAMESPEED_STANDARD', 12, 20), -- FUT => 2050
--('GAMESPEED_STANDARD', 12, 104); --  => 2154

-- GAMESPEED_QUICK
DELETE FROM GameSpeed_Turns WHERE GameSpeedType = 'GAMESPEED_QUICK';
INSERT INTO GameSpeed_Turns (GameSpeedType, MonthIncrement, TurnsPerIncrement) VALUES
('GAMESPEED_QUICK', 960, 38), -- ANC => -960
('GAMESPEED_QUICK', 600, 30), -- CLA => 540
('GAMESPEED_QUICK', 360, 27), -- MED => 1350
('GAMESPEED_QUICK', 180, 25), -- REN => 1725
('GAMESPEED_QUICK', 60, 33), -- IND => 1890
('GAMESPEED_QUICK', 24, 28), -- MOD => 1946
('GAMESPEED_QUICK', 12, 149); -- ATO => 1995
--('GAMESPEED_QUICK', 12, 49), -- ATO => 1995
--('GAMESPEED_QUICK', 12, 35), -- INF => 2030
--('GAMESPEED_QUICK', 12, 20), -- FUT => 2050
--('GAMESPEED_QUICK', 12, 45), --  => 2095

-- GAMESPEED_ONLINE
DELETE FROM GameSpeed_Turns WHERE GameSpeedType = 'GAMESPEED_ONLINE';
INSERT INTO GameSpeed_Turns (GameSpeedType, MonthIncrement, TurnsPerIncrement) VALUES
('GAMESPEED_ONLINE', 1200, 30), -- ANC => -1000
('GAMESPEED_ONLINE', 900, 20), -- CLA => 500
('GAMESPEED_ONLINE', 480, 20), -- MED => 1300
('GAMESPEED_ONLINE', 240, 20), -- REN => 1700
('GAMESPEED_ONLINE', 60, 40), -- IND => 1900
('GAMESPEED_ONLINE', 36, 15), -- MOD => 1945
('GAMESPEED_ONLINE', 24, 25+18), -- ATO => 1995
--('GAMESPEED_ONLINE', 24, 18), -- INF => 2031
('GAMESPEED_ONLINE', 12, 19+43); -- FUT => 2050
--('GAMESPEED_ONLINE', 12, 43), --  => 2093
